class Attachment < ActiveRecord::Base
  belongs_to :issue
  belongs_to :user
  
  def self.save_file(user,issue,upload)
    dir = Rails.root.join("public","data",issue)
    if !File.exists? dir
      Dir.mkdir dir
    end
    fname = File.basename(upload['file'].original_filename)
    fname.gsub!(/^\w\.\_/,"_")
    path = File.join(dir, fname)
    File.open(path,"w") {|f| f.write(upload['file'].read) }
    a = Attachment.new
    a.file = fname
    a.user_id = user
    a.issue_id = issue
    a.mime = upload['file'].content_type
    a.save
  end
end
