require 'test_helper'

class NewIssueTest < ActionDispatch::IntegrationTest
  fixtures :all
  # test "the truth" do
  #   assert true
  # end
  test "new issue" do
    get url_for(:controller=>'issues', :action=>:new)
    assert_response :success
    post_via_redirect "/sessions/create", {:username=>users(:me).username,
      :password=>'titok'}, { "HTTP_REFERER"=>'/issues/new' }
    assert_response :success
    assert_equal session[:user], users(:me).id
    s = Issue.all.size
    post_via_redirect "/issues",
      { :issues=>{ :priority => 5, :label => "a", :description => "A"}}
    assert_equal s+1, Issue.all.size
  end
end
